# DataExchange
TKSTEP209
StepFEA

# StepFEA_FeaSecantCoefficientOfLinearThermalExpansion Class Reference

Representation of STEP entity FeaSecantCoefficientOfLinearThermalExpansion
.

`#include <StepFEA_FeaSecantCoefficientOfLinearThermalExpansion.hxx>`

Inheritance diagram for StepFEA_FeaSecantCoefficientOfLinearThermalExpansion:

[legend]

## Public Member Functions

Standard_EXPORT | StepFEA_FeaSecantCoefficientOfLinearThermalExpansion ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aRepresentationItem_Name, const StepFEA_SymmetricTensor23d &aFeaConstants, const Standard_Real aReferenceTemperature)
| Initialize all fields (own and inherited) .
Standard_EXPORT StepFEA_SymmetricTensor23d | FeaConstants () const
| Returns field FeaConstants .
Standard_EXPORT void | SetFeaConstants (const StepFEA_SymmetricTensor23d &FeaConstants)
| Set field FeaConstants .
Standard_EXPORT Standard_Real | ReferenceTemperature () const
| Returns field ReferenceTemperature .
Standard_EXPORT void | SetReferenceTemperature (const Standard_Real ReferenceTemperature)
| Set field ReferenceTemperature .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepFEA_SymmetricTensor23d | theFeaConstants
Standard_Real | theReferenceTemperature

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_FeaSecantCoefficientOfLinearThermalExpansion::StepFEA_FeaSecantCoefficientOfLinearThermalExpansion | ( |  | ) |

## Member Function Documentation

Standard_EXPORT StepFEA_SymmetricTensor23d StepFEA_FeaSecantCoefficientOfLinearThermalExpansion::FeaConstants | ( |  | ) | const

Standard_EXPORT const StepFEA_FeaSecantCoefficientOfLinearThermalExpansion::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepFEA_FeaMaterialPropertyRepresentationItem.

Standard_EXPORT void StepFEA_FeaSecantCoefficientOfLinearThermalExpansion::Init | ( | const Handle(TCollection_HAsciiString)& | aRepresentationItem_Name,
|  | const StepFEA_SymmetricTensor23d & | aFeaConstants,
|  | const Standard_Real | aReferenceTemperature
| ) |

Standard_EXPORT Standard_Real StepFEA_FeaSecantCoefficientOfLinearThermalExpansion::ReferenceTemperature | ( |  | ) | const

Standard_EXPORT void StepFEA_FeaSecantCoefficientOfLinearThermalExpansion::SetFeaConstants | ( | const StepFEA_SymmetricTensor23d & | FeaConstants | ) |

Standard_EXPORT void StepFEA_FeaSecantCoefficientOfLinearThermalExpansion::SetReferenceTemperature | ( | const Standard_Real | ReferenceTemperature | ) |

## Field Documentation

StepFEA_SymmetricTensor23d StepFEA_FeaSecantCoefficientOfLinearThermalExpansion::theFeaConstants `[private]`

Standard_Real StepFEA_FeaSecantCoefficientOfLinearThermalExpansion::theReferenceTemperature `[private]`

The documentation for this class was generated from the following file:

- StepFEA_FeaSecantCoefficientOfLinearThermalExpansion.hxx